# Class TableCellSkinBase<S, T, C extends IndexedCell<T>>

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<C>
javafx.scene.control.skin.CellSkinBase<C>
javafx.scene.control.skin.TableCellSkinBase<S,T,C>

Type Parameters:
  `S` - the type of the UI control (e.g. the type of the 'row')
  `T` - the type of the content in the cell, based on its `TableColumnBase`
  `C` - the type of the Cell control

All Implemented Interfaces:
  `Skin<C>`

Direct Known Subclasses:
  `TableCellSkin, TreeTableCellSkin`

public abstract class TableCellSkinBase<S, T, C extends IndexedCell<T>> extends CellSkinBase<C>
Base skin for table cell controls, for example: `TableCell` and `TreeTableCell`.

Since:
  9
See Also:
  - `TableCell`
  - `TreeTableCell`

- ## Property Summary

  Properties
  Type
  Property
  Description
  `abstract ReadOnlyObjectProperty<? extends TableColumnBase<S,T>>`
  `tableColumn`
  The TableColumnBase instance that is responsible for this Cell.

  ### Properties declared in class CellSkinBase

  `cellSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableCellSkinBase(C control)`
  Creates a new TableCellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final TableColumnBase<S,T>`
  `getTableColumn()`
  Gets the value of the `tableColumn` property.
  `abstract ReadOnlyObjectProperty<? extends TableColumnBase<S,T>>`
  `tableColumnProperty()`
  The TableColumnBase instance that is responsible for this Cell.

  ### Methods declared in class CellSkinBase

  `cellSizeProperty, getCellSize, getClassCssMetaData`

  ### Methods declared in class LabeledSkinBase

  `computeBaselineOffset, computeMinWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, updateChildren`

  ### Methods declared in class SkinBase

  `computeMaxHeight, computeMaxWidth, computeMinHeight, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface Skin

  `install`

- ## Property Details

  - ### tableColumn

    public abstract ReadOnlyObjectProperty<? extends TableColumnBase<S,T>> tableColumnProperty
    The TableColumnBase instance that is responsible for this Cell.
    See Also:
      - `getTableColumn()`
      - `tableColumnProperty()`

- ## Constructor Details

  - ### TableCellSkinBase

    public TableCellSkinBase(C control)
    Creates a new TableCellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### tableColumnProperty

    public abstract ReadOnlyObjectProperty<? extends TableColumnBase<S,T>> tableColumnProperty()
    The TableColumnBase instance that is responsible for this Cell.
    Returns:
      the TableColumnBase instance that is responsible for this Cell
    See Also:
      - `getTableColumn()`

  - ### getTableColumn

    public final TableColumnBase<S,T> getTableColumn()
    Gets the value of the `tableColumn` property.
    Property description:
      The TableColumnBase instance that is responsible for this Cell.
    Returns:
      the value of the `tableColumn` property
    See Also:
      - `tableColumnProperty()`